Agora RTC Objective-C API Reference Refactor

Data Structures | Enumerations
agora::base Namespace Reference

## Data Structures
struct | AgoraServiceConfiguration
class | AParameter
struct | AudioSessionConfiguration
class | IAgoraParameter
class | IAgoraService
class | IEngineBase
class | IServiceObserver
class | ISyncClient
class | ISyncClientObserver
class | LicenseCallback
class | NtpTime
struct | SyncConfig

## Enumerations
enum | TMixMode { MIX_ENABLED, MIX_DISABLED }

## Typedef Documentation

## ◆ syncClientCallback

typedef void(* syncClientCallback) (SyncClientError, void *)

## ◆ dataBaseOpCallback

typedef void(* dataBaseOpCallback) (SyncClientError, const char *, void *)

## ◆ collectionOpCallback

typedef void(* collectionOpCallback) (SyncClientError, const char *, const char *, void *)

## ◆ queryDocCallback

typedef void(* queryDocCallback) (SyncClientError error, const char *resultJson, size_t count, bool more, void *userData)

## Enumeration Type Documentation

## ◆ TMixMode

enum TMixMode

The audio mixing mode.

Enumerator
MIX_ENABLED | Mix all the local audio tracks in the channel.
MIX_DISABLED | Do not mix the local audio tracks in the channel.

## ◆ SyncClientError

enum SyncClientError

Enumerator
kOk |
kFail |
kConnectSyncFailed |
kConnectDatabaseFailed |
kDisconnectDatabaseFailed |
kDatabaseNotConnected |
kCreateCollectionFailed |
kCollectionNotCreated |
kCollectionExisted |
kInvalidParams |
kNotLoggedIn |
kQueryDocFailed |
kDocNotCreated |

## ◆ SyncEventType

enum SyncEventType

Enumerator
kInserted |
kPut |
kDeleted |
kToBeInserted |
kToBePut |
kToBeDeleted |
kTransactionBegin |
kTransactionEnd |
kDocSyncEnd |
kInitialized |

## ◆ OP_Privilege

enum OP_Privilege

Enumerator
OP_READ |
OP_WRITE |

## Function Documentation

## ◆ operator==()

bool agora::base::operator== | ( | const NtpTime & | n1,
|  | const NtpTime & | n2
| ) |  |
| inline

## ◆ operator!=()

bool agora::base::operator!= | ( | const NtpTime & | n1,
|  | const NtpTime & | n2
| ) |  |
| inline